Subject: Re: bug#6116: Emacs 23 is sluggish with Consolas font

From: Christoph <[email-masked]>
Date: Sun, 18 Jul 2010 09:10:09 -0600

On 7/18/2010 8:56 AM, Óscar Fuentes wrote:
> Christoph<[email-masked]>  writes:
>
>> On 7/18/2010 8:37 AM, Óscar Fuentes wrote:
>>
>>> I'm using a pristine Windows 7 64bits US install on a virtual
>>> machine. Switching to Spanish makes no difference.
>>
>> Same here, minus the virtual machine.
>>
>> Did you set scroll-step to 1?
>
> Yes.

I tried this again.

Setting the font size to 11 and not resizing the window after startup 
(i.e. 38x80), I don't see it either.

If I maximize the screen vertically to 56x80, it does happen.

However, turning off Consolas (and switching to Courier New) and 
maximizing vertically it does happen too, but maybe not as often.

It seems to be a general redisplay problem, if the screen area to be 
redrawn exceeds a certain size.

I initially only tested this with my .emacs configuration, but it does 
the same with `emacs -Q'.